org.eclipse.microprofile.rest.client.tck.providers

## Class TestParamConverterProvider

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TestParamConverterProvider

All Implemented Interfaces:
  javax.ws.rs.ext.ParamConverterProvider

    public class TestParamConverterProvider
    extends Object
    implements javax.ws.rs.ext.ParamConverterProvider

### Constructor Summary

Constructors
Constructor and Description
`TestParamConverterProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> javax.ws.rs.ext.ParamConverter<T>` `getConverter(Class<T> aClass, Type type, Annotation[] annotations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestParamConverterProvider

    public TestParamConverterProvider()

### Method Detail

#### getConverter

    public <T> javax.ws.rs.ext.ParamConverter<T> getConverter(Class<T> aClass,
                                                              Type type,
                                                              Annotation[] annotations)

Specified by:
  `getConverter` in interface `javax.ws.rs.ext.ParamConverterProvider`